Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2
Class PortalRealm

    java.lang.Object
      |
      +--oracle.webdb.utils.BaseRealm
            |
            +--oracle.portal.provider.v2.PortalRealm

All Implemented Interfaces:
  oracle.security.jazn.realm.Realm

public class PortalRealm
extends oracle.webdb.utils.BaseRealm

Represents the realm of a user for a hosted portal.

When a provider is registered, the registration may be within a virtual portal operated by a hosting service. Organizations that subscribe to a hosted portal are known as subscribers and each subscriber has it's own user realm to hold the user community.

Note: This class ultimately implements oracle.security.jazn.realm.Realm to allow future integration with other J2EE frameworks.

Nested Class Summary

Nested classes inherited from class oracle.security.jazn.realm.Realm
`oracle.security.jazn.realm.Realm.LDAPProperty`

Constructor Summary
`PortalRealm(java.lang.String name)` constructor

Method Summary
`java.lang.String` | `getName()` Gets the name of the realm for a user.
`void` | `setName(java.lang.String name)` sets the name of the Realm

Methods inherited from class oracle.webdb.utils.BaseRealm
`equals, getAdministrator, getAdminRole, getDescription, getDisplayName, getFullName, getProperty, getRoleManager, getUserManager, hashCode, setProperty, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortalRealm

    public PortalRealm(java.lang.String name)

  constructor

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of the realm for a user. Usually this is the name of a company or organization.

  Specified by:
    `getName` in interface `oracle.security.jazn.realm.Realm`
  Specified by:
    `getName` in class `oracle.webdb.utils.BaseRealm`
  Returns:
    name of the realm

### setName

    public void setName(java.lang.String name)

  sets the name of the Realm

Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002,2003 Oracle Corporation. All Rights Reserved.